package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.BizTodoItem;

/**
 * 待办事项Mapper接口
 * 
 * @author ruoyi
 * @date 2026-02-11
 */
public interface BizTodoItemMapper 
{
    /**
     * 查询待办事项
     * 
     * @param id 待办事项主键
     * @return 待办事项
     */
    public BizTodoItem selectBizTodoItemById(Long id);

    /**
     * 查询待办事项列表
     * 
     * @param bizTodoItem 待办事项
     * @return 待办事项集合
     */
    public List<BizTodoItem> selectBizTodoItemList(BizTodoItem bizTodoItem);

    /**
     * 新增待办事项
     * 
     * @param bizTodoItem 待办事项
     * @return 结果
     */
    public int insertBizTodoItem(BizTodoItem bizTodoItem);

    /**
     * 修改待办事项
     * 
     * @param bizTodoItem 待办事项
     * @return 结果
     */
    public int updateBizTodoItem(BizTodoItem bizTodoItem);

    /**
     * 删除待办事项
     * 
     * @param id 待办事项主键
     * @return 结果
     */
    public int deleteBizTodoItemById(Long id);

    /**
     * 批量删除待办事项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizTodoItemByIds(Long[] ids);

    BizTodoItem selectTodoItemByTaskId(String taskId);

    List<String> selectTodoUserListByTaskId(String taskId);


    String selectTodoUserByTaskId(String taskId);

    List<BizTodoItem> selectBizTodoItemList2(BizTodoItem bizTodoItem);


    List<BizTodoItem> selectBizTodoItemListbyinstanceId(BizTodoItem bizTodoItem);

    List<BizTodoItem> selectBizTodoItemSpList(String instanceId);

}
